QGIS Application - Bug report #15278

Long term release installer 2.14 installs 2.16 and makes 2.16 default version

2016-07-13 10:46 PM - Miroslav Umlauf

Status: Closed
Priority: Normal
Assignee:

Category: Build/Install

Affected QGIS version:2.14.3

Operating System: Windows
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 23213

Description

| find this very harmful. QGIS long term installer of version 2.14.4-1 installs also version 2.16 and makes 2.16 default version. QGIS users
who are not that found of versioning easily open and save projects in 2.16 which makes it not fully backward compatible with version 2.14

= corrupting projects.

History

#1 - 2016-07-14 03:00 AM - Giovanni Manghi

- Category set to Build/Install

- Status changed from Open to Feedback

- Priority changed from Severe/Regression to Normal

standalone? osgeo4w?

#2 - 2016-07-14 03:51 AM - Miroslav Umlauf

Installer version:
http://qgis.org/downloads/QGIS-OSGeo4W-2.14.4-1-Setup-x86_64.exe

Sorry for not stating this right at the beginning.

#3 - 2016-07-14 03:58 AM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2016-07-18 09:18 AM - Andre Joost
- Target version changed from Version 2.14 to Version 2.16

Unfortunately, the standalone Windows version lacks the python future lib. QGIS 2.14.4 does not need it, but QGIS 2.16 does. As a consequence, 2.16 has

Python disabled. See also https://trac.osgeo.org/osgeodw/ticket/514 and

http://gis.stackexchange.com/questions/202092/python-error-when-loading-qgis-on-windows-10

| suggest to drop QGIS 2.16 from the 2.14.4 installer completely.

#5 - 2016-07-18 04:17 PM - Miroslav Umlauf
- Target version changed from Version 2.16 to Version 2.14
http://qgis.org/downloads/QGIS-OSGeo4W-2.14.4-1-Setup-x86_64.exe
https://trac.osgeo.org/osgeo4w/ticket/514
http://gis.stackexchange.com/questions/202092/python-error-when-loading-qgis-on-windows-10

| completely agree. | do not like that there is version 2.16 in installation of long term release and especially as default version. | believe the idea of long term
release is to have long term release, not to use 2.16, after few months 2.18 etc.

Target version should stay 2.14 (this long term release). | don't like the idea that for another year | will have to explain to everyone that with installation of
long term release 2.14 they will actually switch to 2.16 and not to 2.14. Suggesting some workarounds how to make 2.14 default as it should be default and
always be afraid that someone unintentionally use 2.16 which will CORRUPT workspaces for 2.14 users.

#6 - 2016-07-19 03:42 AM - Jiirgen Fischer
- Resolution set to fixed/implemented
- Status changed from Open to Closed

There was a wrong dependency statement in the osgeo Itr grass plugin package pulling in 2.16.
Fixed in the latest standalone installers (2.14.4-2 / 2.16.0-3)
